%global modulename require-directory

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-require-directory
Version:        2.1.1
Release:        1%{?dist}
Summary:        Recursively iterates over specified directory, require()'ing each file, and returning a nested hash structure containing those modules.

License:        MIT
URL:            https://github.com/troygoode/node-require-directory/
Source0:        https://registry.npmjs.org/require-directory/-/require-directory-2.1.1.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch


Requires:       npmlib(%{modulename}) = %{version}

%description
Recursively iterates over specified directory, require()'ing each file, and returning a nested hash structure containing those modules.

%package 2.1.1
Summary:        Recursively iterates over specified directory, require()'ing each file, and returning a nested hash structure containing those modules.


%description 2.1.1
Recursively iterates over specified directory, require()'ing each file, and returning a nested hash structure containing those modules.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .jshintrc %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .npmignore %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.markdown
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 2.1.1
%doc README.markdown
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 2.1.1-1
- Package automatically generated by npm2srpm
